Name:           maven-release
Version:        2.2.1
Release:        %mkrel 5
Summary:        Release a project updating the POM and tagging in the SCM

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-release-plugin/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/release/%{name}/%{version}/%{name}-%{version}-source-release.zip
# Remove deps needed for tests, till jmock gets packaged
Patch1:         002-mavenrelease-fixbuild.patch
Patch2:         003-fixing-migration-to-component-metadata.patch
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-scm 
BuildRequires:  maven-antrun-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-plugin-testing-harness
BuildRequires:  plexus-containers-component-metadata
BuildRequires:  plexus-utils
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  jaxen

Requires:       java 
Requires:       jpackage-utils

%description
This plugin is used to release a project with Maven, saving a lot of 
repetitive, manual work. Releasing a project is made in two steps: 
prepare and perform.


%package manager
Summary:        Release a project updating the POM and tagging in the SCM
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description manager
This package contains %{name}-manager needed by %{name}-plugin.


%package plugin
Summary:        Release a project updating the POM and tagging in the SCM
Group:          Development/Java
Requires:       %{name}-manager = %{version}-%{release}
Requires:       jpackage-utils

%description plugin
This plugin is used to release a project with Maven, saving a lot of
repetitive, manual work. Releasing a project is made in two steps:
prepare and perform.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils
Obsoletes:      %{name}-manager-javadoc <= 2.0-1
Obsoletes:      %{name}-plugin-javadoc <= 2.0-1

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
cat > README << EOT
%{name}-%{version}

This plugin is used to release a project with Maven, saving a lot of
repetitive, manual work. Releasing a project is made in two steps:
prepare and perform.
EOT


%build
# Skip tests because we don't have dependencies (jmock)
mvn-rpmbuild -e -Dmaven.test.skip=true install javadoc:aggregate


%install
# jars
install -Dp -m 644 %{name}-manager/target/%{name}-manager-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-manager.jar
install -Dp -m 644 %{name}-plugin/target/%{name}-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-plugin.jar

# javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/
cp -rp target/site/apidocs  $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# poms
install -d -m 755 $RPM_BUILD_ROOT/%{_mavenpomdir}
install -pm 644 pom.xml  \
  $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 %{name}-manager/pom.xml  \
  $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-manager.pom
install -pm 644 %{name}-plugin/pom.xml  \
  $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-plugin.pom

%add_maven_depmap JPP-%{name}.pom
%add_maven_depmap JPP-%{name}-manager.pom %{name}-manager.jar
%add_maven_depmap JPP-%{name}-plugin.pom %{name}-plugin.jar

%files
%doc README
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/*

%files manager
%{_javadir}/*manager*
%{_mavenpomdir}/JPP-%{name}-manager.pom

%files plugin
%{_javadir}/*plugin*
%{_mavenpomdir}/JPP-%{name}-plugin.pom

%files javadoc
%{_javadocdir}/%{name}




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-5.mga3
+ Revision: 359755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 dmorgan <dmorgan> 2.2.1-4.mga3
+ Revision: 295400
- Fixing incomplete migration to component metadata

* Wed Sep 12 2012 dmorgan <dmorgan> 2.2.1-3.mga3
+ Revision: 292759
- Rebuild with fixed pom

* Tue Sep 11 2012 dmorgan <dmorgan> 2.2.1-2.mga3
+ Revision: 292295
- Clean spec file

* Tue Jan 03 2012 gil <gil> 2.2.1-1.mga2
+ Revision: 189807
- fix depmap
- update to 2.2.1

* Fri Dec 09 2011 dmorgan <dmorgan> 2.2-2.mga2
+ Revision: 179670
- Reinclude maven-scm-test in BRs
- New version 2.2

  + gil <gil>
    - update to 2.1

* Thu Apr 28 2011 dmorgan <dmorgan> 2.0-4.mga1
+ Revision: 92721
- Rebuild after bootstrapping
- imported package maven-release

